import request from '@/utils/request'

// 查询财务月度汇总列表
export function listMonthSummary(query) {
  return request({
    url: '/system/monthSummary/list',
    method: 'get',
    params: query
  })
}

// 查询财务月度汇总详细
export function getMonthSummary(summaryId) {
  return request({
    url: '/system/monthSummary/' + summaryId,
    method: 'get'
  })
}

// 新增财务月度汇总
export function addMonthSummary(data) {
  return request({
    url: '/system/monthSummary',
    method: 'post',
    data: data
  })
}

// 修改财务月度汇总
export function updateMonthSummary(data) {
  return request({
    url: '/system/monthSummary',
    method: 'put',
    data: data
  })
}

// 删除财务月度汇总
export function delMonthSummary(summaryId) {
  return request({
    url: '/system/monthSummary/' + summaryId,
    method: 'delete'
  })
}
// 查询财务月度汇总详细
export function costDetailsList(query) {
  return request({
    url: '/system/costDetails/list',
    method: 'get',
    params: query
  })
}